!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 11:15:57 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_tgf_semi_implicit_theta
! Evaluation time                 : 19 s    Mode  : Optimal
! Number of formulae              : 693     Method: Automatic
! Subroutine                      : elmts05_tgf_semi_implicit_theta size: 14504
! Total size of Mathematica  code : 14504 subexpressions
! Total size of Fortran code      : 37945 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmts05_tgf_semi_implicit_theta(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cTvec,cTprevvec,dTGF
     &,epsilonT,kT,rhoSvec,rhoSprevvec,kS,resT,tangTU,tangTT,tangTS)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(1063),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cTvec(8),cTprevvec(8),dTGF,epsilonT,kT
     &,rhoSvec(8),rhoSprevvec(8),kS,resT(8),tangTU(8,24),tangTT(8,8)
     &,tangTS(8,8)
      v(2)=thetanumerical
      v(694)=1d0-v(2)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(895)=-v(5)+v(8)
      v(9)=Xn(2,2)
      v(891)=-v(6)+v(9)
      v(10)=Xn(2,3)
      v(887)=v(10)-v(7)
      v(11)=Xn(3,1)
      v(882)=-v(11)+v(8)
      v(12)=Xn(3,2)
      v(878)=-v(12)+v(9)
      v(13)=Xn(3,3)
      v(874)=v(10)-v(13)
      v(14)=Xn(4,1)
      v(894)=v(11)-v(14)
      v(883)=-v(14)+v(5)
      v(15)=Xn(4,2)
      v(890)=v(12)-v(15)
      v(879)=-v(15)+v(6)
      v(16)=Xn(4,3)
      v(886)=v(13)-v(16)
      v(875)=-v(16)+v(7)
      v(17)=Xn(5,1)
      v(871)=-v(17)+v(5)
      v(18)=Xn(5,2)
      v(867)=-v(18)+v(6)
      v(19)=Xn(5,3)
      v(863)=-v(19)+v(7)
      v(20)=Xn(6,1)
      v(893)=-v(17)+v(20)
      v(870)=-v(20)+v(8)
      v(21)=Xn(6,2)
      v(889)=-v(18)+v(21)
      v(866)=-v(21)+v(9)
      v(22)=Xn(6,3)
      v(885)=-v(19)+v(22)
      v(862)=v(10)-v(22)
      v(23)=Xn(7,1)
      v(880)=v(20)-v(23)
      v(869)=v(11)-v(23)
      v(24)=Xn(7,2)
      v(876)=v(21)-v(24)
      v(865)=v(12)-v(24)
      v(25)=Xn(7,3)
      v(872)=v(22)-v(25)
      v(861)=v(13)-v(25)
      v(26)=Xn(8,1)
      v(892)=v(23)-v(26)
      v(881)=v(17)-v(26)
      v(868)=v(14)-v(26)
      v(27)=Xn(8,2)
      v(888)=v(24)-v(27)
      v(877)=v(18)-v(27)
      v(864)=v(15)-v(27)
      v(28)=Xn(8,3)
      v(884)=v(25)-v(28)
      v(873)=v(19)-v(28)
      v(860)=v(16)-v(28)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(99)=1d0-v(53)
      v(95)=1d0+v(53)
      v(54)=eta
      v(105)=1d0+v(54)
      v(138)=v(105)/8d0
      v(146)=-(v(138)*v(99))
      v(145)=-(v(138)*v(95))
      v(101)=1d0-v(54)
      v(139)=v(101)/8d0
      v(144)=-(v(139)*v(95))
      v(142)=-(v(139)*v(99))
      v(157)=v(146)*v(860)+v(145)*v(861)+v(144)*v(862)+v(142)*v(863)
      v(154)=v(146)*v(864)+v(145)*v(865)+v(144)*v(866)+v(142)*v(867)
      v(151)=v(146)*v(868)+v(145)*v(869)+v(144)*v(870)+v(142)*v(871)
      v(55)=zeta
      v(137)=(1d0+v(55))/8d0
      v(148)=-(v(137)*v(95))
      v(147)=-(v(137)*v(99))
      v(108)=v(105)*v(137)
      v(103)=v(101)*v(137)
      v(140)=(1d0-v(55))/8d0
      v(143)=-(v(140)*v(95))
      v(141)=-(v(140)*v(99))
      v(156)=v(148)*v(872)+v(147)*v(873)+v(143)*v(874)+v(141)*v(875)
      v(153)=v(148)*v(876)+v(147)*v(877)+v(143)*v(878)+v(141)*v(879)
      v(175)=-(v(154)*v(156))+v(153)*v(157)
      v(150)=v(148)*v(880)+v(147)*v(881)+v(143)*v(882)+v(141)*v(883)
      v(411)=-(v(151)*v(153))+v(150)*v(154)
      v(395)=v(151)*v(156)-v(150)*v(157)
      v(98)=v(105)*v(140)
      v(93)=v(101)*v(140)
      v(155)=v(108)*v(884)+v(103)*v(885)+v(887)*v(93)+v(886)*v(98)
      v(152)=v(108)*v(888)+v(103)*v(889)+v(891)*v(93)+v(890)*v(98)
      v(183)=-(v(153)*v(155))+v(152)*v(156)
      v(179)=-(v(154)*v(155))+v(152)*v(157)
      v(149)=v(108)*v(892)+v(103)*v(893)+v(895)*v(93)+v(894)*v(98)
      v(475)=-(v(150)*v(152))+v(149)*v(153)
      v(465)=v(150)*v(155)-v(149)*v(156)
      v(446)=v(151)*v(152)-v(149)*v(154)
      v(436)=-(v(151)*v(155))+v(149)*v(157)
      v(56)=cTvec(1)
      v(57)=cTvec(2)
      v(58)=cTvec(3)
      v(59)=cTvec(4)
      v(60)=cTvec(5)
      v(61)=cTvec(6)
      v(62)=cTvec(7)
      v(63)=cTvec(8)
      v(64)=cTprevvec(1)
      v(65)=cTprevvec(2)
      v(66)=cTprevvec(3)
      v(67)=cTprevvec(4)
      v(68)=cTprevvec(5)
      v(69)=cTprevvec(6)
      v(70)=cTprevvec(7)
      v(71)=cTprevvec(8)
      v(941)=dTGF*v(4)
      v(92)=v(93)*v(99)
      v(94)=v(93)*v(95)
      v(758)=(v(94)*v(94))
      v(755)=v(92)*v(94)
      v(97)=v(95)*v(98)
      v(776)=(v(97)*v(97))
      v(773)=v(94)*v(97)
      v(761)=v(92)*v(97)
      v(100)=v(98)*v(99)
      v(792)=(v(100)*v(100))
      v(789)=v(100)*v(97)
      v(785)=v(100)*v(92)
      v(102)=v(103)*v(99)
      v(808)=(v(102)*v(102))
      v(802)=v(102)*v(92)
      v(104)=v(103)*v(95)
      v(822)=(v(104)*v(104))
      v(819)=v(102)*v(104)
      v(814)=v(104)*v(94)
      v(764)=v(104)*v(92)
      v(107)=v(108)*v(95)
      v(838)=(v(107)*v(107))
      v(835)=v(104)*v(107)
      v(830)=v(107)*v(97)
      v(825)=v(102)*v(107)
      v(780)=v(107)*v(94)
      v(769)=v(107)*v(92)
      v(109)=v(108)*v(99)
      v(854)=(v(109)*v(109))
      v(851)=v(107)*v(109)
      v(847)=v(102)*v(109)
      v(844)=v(100)*v(109)
      v(798)=v(109)*v(97)
      v(794)=v(109)*v(92)
      v(158)=v(149)*v(175)-v(150)*v(179)+v(151)*v(183)
      v(377)=1d0/v(158)**2
      v(176)=-(v(175)/v(158))
      v(337)=v(140)*v(176)
      v(325)=v(137)*v(176)
      v(301)=v(139)*v(176)
      v(289)=-(v(138)*v(176))
      v(241)=-(v(108)*v(176))
      v(232)=v(103)*v(176)
      v(223)=-(v(176)*v(98))
      v(214)=v(176)*v(93)
      v(177)=-(v(395)/v(158))
      v(340)=v(140)*v(177)
      v(327)=v(137)*v(177)
      v(304)=v(139)*v(177)
      v(291)=-(v(138)*v(177))
      v(243)=-(v(108)*v(177))
      v(234)=v(103)*v(177)
      v(225)=-(v(177)*v(98))
      v(216)=v(177)*v(93)
      v(178)=-(v(411)/v(158))
      v(343)=v(140)*v(178)
      v(329)=v(137)*v(178)
      v(307)=v(139)*v(178)
      v(293)=-(v(138)*v(178))
      v(245)=-(v(108)*v(178))
      v(236)=v(103)*v(178)
      v(227)=-(v(178)*v(98))
      v(218)=v(178)*v(93)
      v(180)=-(v(179)/v(158))
      v(202)=v(140)*v(180)
      v(190)=v(137)*v(180)
      v(181)=v(436)/v(158)
      v(205)=v(140)*v(181)
      v(192)=v(137)*v(181)
      v(182)=v(446)/v(158)
      v(208)=v(140)*v(182)
      v(194)=v(137)*v(182)
      v(184)=v(183)/v(158)
      v(203)=v(139)*v(184)
      v(196)=v(138)*v(184)
      v(185)=v(465)/v(158)
      v(206)=v(139)*v(185)
      v(198)=v(138)*v(185)
      v(186)=v(475)/v(158)
      v(209)=v(139)*v(186)
      v(200)=v(138)*v(186)
      v(187)=v(190)+v(196)
      v(606)=-(v(178)*v(187))
      v(602)=-(v(176)*v(187))
      v(188)=v(192)+v(198)
      v(612)=-(v(178)*v(188))
      v(610)=-(v(177)*v(188))
      v(608)=-(v(176)*v(188))
      v(189)=v(194)+v(200)
      v(618)=-(v(178)*v(189))
      v(191)=-v(190)+v(203)
      v(579)=v(178)*v(191)
      v(575)=v(176)*v(191)
      v(193)=-v(192)+v(206)
      v(585)=v(178)*v(193)
      v(583)=v(177)*v(193)
      v(581)=v(176)*v(193)
      v(195)=-v(194)+v(209)
      v(591)=v(178)*v(195)
      v(197)=-v(196)+v(202)
      v(552)=-(v(178)*v(197))
      v(548)=-(v(176)*v(197))
      v(199)=-v(198)+v(205)
      v(558)=-(v(178)*v(199))
      v(556)=-(v(177)*v(199))
      v(554)=-(v(176)*v(199))
      v(201)=-v(200)+v(208)
      v(564)=-(v(178)*v(201))
      v(204)=-v(202)-v(203)
      v(525)=v(178)*v(204)
      v(521)=v(176)*v(204)
      v(207)=-v(205)-v(206)
      v(531)=v(178)*v(207)
      v(529)=v(177)*v(207)
      v(527)=v(176)*v(207)
      v(210)=-v(208)-v(209)
      v(537)=v(178)*v(210)
      v(211)=v(214)+v(204)*v(99)
      v(212)=v(216)+v(207)*v(99)
      v(213)=v(218)+v(210)*v(99)
      v(215)=-v(214)+v(204)*v(95)
      v(217)=-v(216)+v(207)*v(95)
      v(219)=-v(218)+v(210)*v(95)
      v(220)=v(223)+v(197)*v(95)
      v(221)=v(225)+v(199)*v(95)
      v(222)=v(227)+v(201)*v(95)
      v(224)=-v(223)+v(197)*v(99)
      v(226)=-v(225)+v(199)*v(99)
      v(228)=-v(227)+v(201)*v(99)
      v(229)=v(232)+v(191)*v(99)
      v(230)=v(234)+v(193)*v(99)
      v(231)=v(236)+v(195)*v(99)
      v(233)=-v(232)+v(191)*v(95)
      v(235)=-v(234)+v(193)*v(95)
      v(237)=-v(236)+v(195)*v(95)
      v(238)=v(241)+v(187)*v(95)
      v(239)=v(243)+v(188)*v(95)
      v(240)=v(245)+v(189)*v(95)
      v(242)=-v(241)+v(187)*v(99)
      v(244)=-v(243)+v(188)*v(99)
      v(246)=-v(245)+v(189)*v(99)
      v(256)=1d0+v(211)*v(29)+v(215)*v(32)+v(220)*v(35)+v(224)*v(38)
     &+v(229)*v(41)+v(233)*v(44)+v(238)*v(47)+v(242)*v(50)
      v(257)=v(212)*v(29)+v(217)*v(32)+v(221)*v(35)+v(226)*v(38)+v
     &(230)*v(41)+v(235)*v(44)+v(239)*v(47)+v(244)*v(50)
      v(258)=v(213)*v(29)+v(219)*v(32)+v(222)*v(35)+v(228)*v(38)+v
     &(231)*v(41)+v(237)*v(44)+v(240)*v(47)+v(246)*v(50)
      v(259)=v(211)*v(30)+v(215)*v(33)+v(220)*v(36)+v(224)*v(39)+v
     &(229)*v(42)+v(233)*v(45)+v(238)*v(48)+v(242)*v(51)
      v(260)=1d0+v(212)*v(30)+v(217)*v(33)+v(221)*v(36)+v(226)*v(39)
     &+v(230)*v(42)+v(235)*v(45)+v(239)*v(48)+v(244)*v(51)
      v(261)=v(213)*v(30)+v(219)*v(33)+v(222)*v(36)+v(228)*v(39)+v
     &(231)*v(42)+v(237)*v(45)+v(240)*v(48)+v(246)*v(51)
      v(262)=v(211)*v(31)+v(215)*v(34)+v(220)*v(37)+v(224)*v(40)+v
     &(229)*v(43)+v(233)*v(46)+v(238)*v(49)+v(242)*v(52)
      v(263)=v(212)*v(31)+v(217)*v(34)+v(221)*v(37)+v(226)*v(40)+v
     &(230)*v(43)+v(235)*v(46)+v(239)*v(49)+v(244)*v(52)
      v(658)=-(v(260)*v(262))+v(259)*v(263)
      v(264)=1d0+v(213)*v(31)+v(219)*v(34)+v(222)*v(37)+v(228)*v(40)
     &+v(231)*v(43)+v(237)*v(46)+v(240)*v(49)+v(246)*v(52)
      v(657)=-(v(261)*v(262))+v(259)*v(264)
      v(656)=-(v(261)*v(263))+v(260)*v(264)
      v(265)=v(256)*v(656)-v(257)*v(657)+v(258)*v(658)
      v(953)=-(v(109)/v(265))
      v(952)=-(v(107)/v(265))
      v(951)=-(v(104)/v(265))
      v(950)=-(v(102)/v(265))
      v(949)=-(v(100)/v(265))
      v(948)=-(v(97)/v(265))
      v(947)=-(v(94)/v(265))
      v(946)=-(v(92)/v(265))
      v(266)=(v(256)*v(256))+(v(259)*v(259))+(v(262)*v(262))
      v(267)=v(256)*v(257)+v(259)*v(260)+v(262)*v(263)
      v(280)=(v(267)*v(267))
      v(268)=v(256)*v(258)+v(259)*v(261)+v(262)*v(264)
      v(277)=(v(268)*v(268))
      v(269)=(v(257)*v(257))+(v(260)*v(260))+(v(263)*v(263))
      v(270)=v(257)*v(258)+v(260)*v(261)+v(263)*v(264)
      v(859)=v(268)*v(270)
      v(271)=(v(258)*v(258))+(v(261)*v(261))+(v(264)*v(264))
      v(858)=-(v(270)*v(270))+v(269)*v(271)
      v(272)=1d0/(-(v(269)*v(277))-v(271)*v(280)+v(266)*v(858)+2d0*v
     &(267)*v(859))
      v(274)=v(272)*v(858)
      v(275)=v(272)*(-(v(267)*v(271))+v(859))
      v(276)=(-(v(268)*v(269))+v(267)*v(270))*v(272)
      v(742)=v(242)*v(274)+v(244)*v(275)+v(246)*v(276)
      v(735)=v(238)*v(274)+v(239)*v(275)+v(240)*v(276)
      v(727)=v(233)*v(274)+v(235)*v(275)+v(237)*v(276)
      v(718)=v(229)*v(274)+v(230)*v(275)+v(231)*v(276)
      v(708)=v(224)*v(274)+v(226)*v(275)+v(228)*v(276)
      v(697)=v(220)*v(274)+v(221)*v(275)+v(222)*v(276)
      v(683)=v(215)*v(274)+v(217)*v(275)+v(219)*v(276)
      v(668)=v(211)*v(274)+v(212)*v(275)+v(213)*v(276)
      v(278)=v(272)*(v(266)*v(271)-v(277))
      v(279)=(v(267)*v(268)-v(266)*v(270))*v(272)
      v(743)=v(242)*v(275)+v(244)*v(278)+v(246)*v(279)
      v(736)=v(238)*v(275)+v(239)*v(278)+v(240)*v(279)
      v(728)=v(233)*v(275)+v(235)*v(278)+v(237)*v(279)
      v(719)=v(229)*v(275)+v(230)*v(278)+v(231)*v(279)
      v(709)=v(224)*v(275)+v(226)*v(278)+v(228)*v(279)
      v(698)=v(220)*v(275)+v(221)*v(278)+v(222)*v(279)
      v(684)=v(215)*v(275)+v(217)*v(278)+v(219)*v(279)
      v(669)=v(211)*v(275)+v(212)*v(278)+v(213)*v(279)
      v(281)=v(272)*(v(266)*v(269)-v(280))
      v(744)=v(242)*v(276)+v(244)*v(279)+v(246)*v(281)
      v(737)=v(238)*v(276)+v(239)*v(279)+v(240)*v(281)
      v(729)=v(233)*v(276)+v(235)*v(279)+v(237)*v(281)
      v(720)=v(229)*v(276)+v(230)*v(279)+v(231)*v(281)
      v(710)=v(224)*v(276)+v(226)*v(279)+v(228)*v(281)
      v(699)=v(220)*v(276)+v(221)*v(279)+v(222)*v(281)
      v(685)=v(215)*v(276)+v(217)*v(279)+v(219)*v(281)
      v(670)=v(211)*v(276)+v(212)*v(279)+v(213)*v(281)
      v(283)=v(180)/8d0
      v(898)=v(184)*v(283)
      v(896)=v(185)*v(283)
      v(302)=-(v(283)*v(99))
      v(295)=-(v(283)*v(95))
      v(284)=v(181)/8d0
      v(901)=v(185)*v(284)
      v(305)=-(v(284)*v(99))
      v(297)=-(v(284)*v(95))
      v(285)=v(182)/8d0
      v(308)=-(v(285)*v(99))
      v(299)=-(v(285)*v(95))
      v(286)=v(289)+v(302)
      v(287)=v(291)+v(305)
      v(288)=v(293)+v(308)
      v(290)=-v(289)+v(295)
      v(292)=-v(291)+v(297)
      v(294)=-v(293)+v(299)
      v(296)=-v(295)+v(301)
      v(298)=-v(297)+v(304)
      v(300)=-v(299)+v(307)
      v(303)=-v(301)-v(302)
      v(306)=-v(304)-v(305)
      v(309)=-v(307)-v(308)
      v(310)=v(286)*v(860)+v(290)*v(861)+v(296)*v(862)+v(303)*v(863)
      v(311)=v(287)*v(860)+v(292)*v(861)+v(298)*v(862)+v(306)*v(863)
      v(312)=v(288)*v(860)+v(294)*v(861)+v(300)*v(862)+v(309)*v(863)
      v(313)=v(286)*v(864)+v(290)*v(865)+v(296)*v(866)+v(303)*v(867)
      v(314)=v(287)*v(864)+v(292)*v(865)+v(298)*v(866)+v(306)*v(867)
      v(315)=v(288)*v(864)+v(294)*v(865)+v(300)*v(866)+v(309)*v(867)
      v(316)=v(286)*v(868)+v(290)*v(869)+v(296)*v(870)+v(303)*v(871)
      v(317)=v(287)*v(868)+v(292)*v(869)+v(298)*v(870)+v(306)*v(871)
      v(318)=v(288)*v(868)+v(294)*v(869)+v(300)*v(870)+v(309)*v(871)
      v(319)=v(184)/8d0
      v(900)=v(181)*v(319)
      v(899)=v(182)*v(319)
      v(338)=-(v(319)*v(99))
      v(331)=-(v(319)*v(95))
      v(320)=v(185)/8d0
      v(905)=v(182)*v(320)
      v(341)=-(v(320)*v(99))
      v(333)=-(v(320)*v(95))
      v(321)=v(186)/8d0
      v(918)=v(180)*v(321)
      v(915)=v(181)*v(321)
      v(913)=v(182)*v(321)
      v(344)=-(v(321)*v(99))
      v(335)=-(v(321)*v(95))
      v(322)=v(325)+v(331)
      v(323)=v(327)+v(333)
      v(324)=v(329)+v(335)
      v(326)=-v(325)+v(338)
      v(328)=-v(327)+v(341)
      v(330)=-v(329)+v(344)
      v(332)=-v(331)+v(337)
      v(334)=-v(333)+v(340)
      v(336)=-v(335)+v(343)
      v(339)=-v(337)-v(338)
      v(342)=-v(340)-v(341)
      v(345)=-v(343)-v(344)
      v(346)=v(322)*v(872)+v(326)*v(873)+v(332)*v(874)+v(339)*v(875)
      v(347)=v(323)*v(872)+v(328)*v(873)+v(334)*v(874)+v(342)*v(875)
      v(348)=v(324)*v(872)+v(330)*v(873)+v(336)*v(874)+v(345)*v(875)
      v(349)=v(322)*v(876)+v(326)*v(877)+v(332)*v(878)+v(339)*v(879)
      v(350)=v(323)*v(876)+v(328)*v(877)+v(334)*v(878)+v(342)*v(879)
      v(351)=v(324)*v(876)+v(330)*v(877)+v(336)*v(878)+v(345)*v(879)
      v(352)=v(153)*v(310)-v(156)*v(313)-v(154)*v(346)+v(157)*v(349)
      v(355)=v(322)*v(880)+v(326)*v(881)+v(332)*v(882)+v(339)*v(883)
      v(356)=v(323)*v(880)+v(328)*v(881)+v(334)*v(882)+v(342)*v(883)
      v(357)=v(324)*v(880)+v(330)*v(881)+v(336)*v(882)+v(345)*v(883)
      v(358)=v(187)*v(884)+v(191)*v(885)+v(197)*v(886)+v(204)*v(887)
      v(359)=v(188)*v(884)+v(193)*v(885)+v(199)*v(886)+v(207)*v(887)
      v(360)=v(189)*v(884)+v(195)*v(885)+v(201)*v(886)+v(210)*v(887)
      v(361)=v(187)*v(888)+v(191)*v(889)+v(197)*v(890)+v(204)*v(891)
      v(362)=v(188)*v(888)+v(193)*v(889)+v(199)*v(890)+v(207)*v(891)
      v(363)=v(189)*v(888)+v(195)*v(889)+v(201)*v(890)+v(210)*v(891)
      v(364)=v(152)*v(346)-v(155)*v(349)-v(153)*v(358)+v(156)*v(361)
      v(366)=v(152)*v(348)-v(155)*v(351)-v(153)*v(360)+v(156)*v(363)
      v(367)=v(152)*v(310)-v(155)*v(313)-v(154)*v(358)+v(157)*v(361)
      v(370)=v(187)*v(892)+v(191)*v(893)+v(197)*v(894)+v(204)*v(895)
      v(371)=v(188)*v(892)+v(193)*v(893)+v(199)*v(894)+v(207)*v(895)
      v(372)=v(189)*v(892)+v(195)*v(893)+v(201)*v(894)+v(210)*v(895)
      v(897)=-((v(183)*v(316)+v(149)*v(352)-v(179)*v(355)+v(151)*v
     &(364)-v(150)*v(367)+v(175)*v(370))*v(377))
      v(466)=(-(v(149)*v(346))+v(155)*v(355)+v(150)*v(358)-v(156)*v
     &(370))/v(158)+v(465)*v(897)
      v(903)=v(139)*v(466)
      v(902)=v(138)*v(466)
      v(472)=v(896)+v(902)
      v(469)=-v(896)+v(903)
      v(456)=v(364)/v(158)+v(183)*v(897)
      v(462)=v(138)*v(456)+v(898)
      v(459)=v(139)*v(456)-v(898)
      v(447)=(-(v(149)*v(313))+v(152)*v(316)+v(151)*v(361)-v(154)*v
     &(370))/v(158)+v(446)*v(897)
      v(919)=v(140)*v(447)
      v(917)=v(137)*v(447)
      v(437)=(v(149)*v(310)-v(155)*v(316)-v(151)*v(358)+v(157)*v(370)
     &)/v(158)+v(436)*v(897)
      v(907)=v(140)*v(437)
      v(906)=v(137)*v(437)
      v(443)=v(900)+v(906)
      v(497)=-v(443)+v(469)
      v(488)=v(443)+v(472)
      v(440)=-v(900)+v(907)
      v(515)=-v(440)-v(469)
      v(506)=v(440)-v(472)
      v(427)=-(v(367)/v(158))-v(179)*v(897)
      v(433)=v(137)*v(427)+v(898)
      v(494)=-v(433)+v(459)
      v(485)=v(433)+v(462)
      v(430)=v(140)*v(427)-v(898)
      v(512)=-v(430)-v(459)
      v(503)=v(430)-v(462)
      v(412)=(-(v(150)*v(313))+v(153)*v(316)+v(151)*v(349)-v(154)*v
     &(355))/v(158)-v(411)*v(897)
      v(927)=-(v(108)*v(412))
      v(926)=v(103)*v(412)
      v(925)=-(v(412)*v(98))
      v(924)=v(412)*v(93)
      v(396)=(v(150)*v(310)-v(156)*v(316)-v(151)*v(346)+v(157)*v(355)
     &)/v(158)-v(395)*v(897)
      v(911)=-(v(108)*v(396))
      v(910)=v(103)*v(396)
      v(909)=-(v(396)*v(98))
      v(908)=v(396)*v(93)
      v(408)=v(177)*v(204)+v(908)
      v(542)=-v(408)-v(527)+v(515)*v(95)
      v(528)=v(408)+v(527)+v(515)*v(99)
      v(405)=-(v(177)*v(197))+v(909)
      v(569)=-v(405)-v(554)+v(506)*v(99)
      v(555)=v(405)+v(554)+v(506)*v(95)
      v(402)=v(177)*v(191)+v(910)
      v(596)=-v(402)-v(581)+v(497)*v(95)
      v(582)=v(402)+v(581)+v(497)*v(99)
      v(399)=-(v(177)*v(187))+v(911)
      v(632)=-v(399)-v(608)+v(488)*v(99)
      v(609)=v(399)+v(608)+v(488)*v(95)
      v(934)=v(29)*v(528)+v(32)*v(542)+v(35)*v(555)+v(38)*v(569)+v(41
     &)*v(582)+v(44)*v(596)+v(47)*v(609)+v(50)*v(632)
      v(638)=v(30)*v(528)+v(33)*v(542)+v(36)*v(555)+v(39)*v(569)+v(42
     &)*v(582)+v(45)*v(596)+v(48)*v(609)+v(51)*v(632)
      v(933)=v(264)*v(638)
      v(635)=v(31)*v(528)+v(34)*v(542)+v(37)*v(555)+v(40)*v(569)+v(43
     &)*v(582)+v(46)*v(596)+v(49)*v(609)+v(52)*v(632)
      v(932)=-(v(261)*v(635))
      v(380)=-(v(352)/v(158))-v(175)*v(897)
      v(392)=v(521)+v(380)*v(93)
      v(539)=-v(392)-v(521)+v(512)*v(95)
      v(522)=v(392)+v(521)+v(512)*v(99)
      v(389)=v(548)-v(380)*v(98)
      v(566)=-v(389)-v(548)+v(503)*v(99)
      v(549)=v(389)+v(548)+v(503)*v(95)
      v(386)=v(103)*v(380)+v(575)
      v(593)=-v(386)-v(575)+v(494)*v(95)
      v(576)=v(386)+v(575)+v(494)*v(99)
      v(383)=-(v(108)*v(380))+v(602)
      v(620)=-v(383)-v(602)+v(485)*v(99)
      v(603)=v(383)+v(602)+v(485)*v(95)
      v(626)=v(30)*v(522)+v(33)*v(539)+v(36)*v(549)+v(39)*v(566)+v(42
     &)*v(576)+v(45)*v(593)+v(48)*v(603)+v(51)*v(620)
      v(623)=v(31)*v(522)+v(34)*v(539)+v(37)*v(549)+v(40)*v(566)+v(43
     &)*v(576)+v(46)*v(593)+v(49)*v(603)+v(52)*v(620)
      v(904)=-((v(183)*v(317)+v(149)*(v(153)*v(311)-v(156)*v(314)-v
     &(154)*v(347)+v(157)*v(350))-v(179)*v(356)+v(151)*(v(152)*v(347)
     &-v(155)*v(350)-v(153)*v(359)+v(156)*v(362))-v(150)*(v(152)*v
     &(311)-v(155)*v(314)-v(154)*v(359)+v(157)*v(362))+v(175)*v(371)
     &)*v(377))
      v(467)=(-(v(149)*v(347))+v(155)*v(356)+v(150)*v(359)-v(156)*v
     &(371))/v(158)+v(465)*v(904)
      v(473)=v(138)*v(467)+v(901)
      v(470)=v(139)*v(467)-v(901)
      v(448)=(-(v(149)*v(314))+v(152)*v(317)+v(151)*v(362)-v(154)*v
     &(371))/v(158)+v(446)*v(904)
      v(916)=v(140)*v(448)
      v(914)=v(137)*v(448)
      v(438)=(v(149)*v(311)-v(155)*v(317)-v(151)*v(359)+v(157)*v(371)
     &)/v(158)+v(436)*v(904)
      v(444)=v(137)*v(438)+v(901)
      v(498)=-v(444)+v(470)
      v(489)=v(444)+v(473)
      v(441)=v(140)*v(438)-v(901)
      v(516)=-v(441)-v(470)
      v(507)=v(441)-v(473)
      v(413)=(-(v(150)*v(314))+v(153)*v(317)+v(151)*v(350)-v(154)*v
     &(356))/v(158)-v(411)*v(904)
      v(923)=-(v(108)*v(413))
      v(922)=v(103)*v(413)
      v(921)=-(v(413)*v(98))
      v(920)=v(413)*v(93)
      v(397)=(v(150)*v(311)-v(156)*v(317)-v(151)*v(347)+v(157)*v(356)
     &)/v(158)-v(395)*v(904)
      v(409)=v(529)+v(397)*v(93)
      v(543)=-v(409)-v(529)+v(516)*v(95)
      v(530)=v(409)+v(529)+v(516)*v(99)
      v(406)=v(556)-v(397)*v(98)
      v(570)=-v(406)-v(556)+v(507)*v(99)
      v(557)=v(406)+v(556)+v(507)*v(95)
      v(403)=v(103)*v(397)+v(583)
      v(597)=-v(403)-v(583)+v(498)*v(95)
      v(584)=v(403)+v(583)+v(498)*v(99)
      v(400)=-(v(108)*v(397))+v(610)
      v(633)=-v(400)-v(610)+v(489)*v(99)
      v(611)=v(400)+v(610)+v(489)*v(95)
      v(639)=v(30)*v(530)+v(33)*v(543)+v(36)*v(557)+v(39)*v(570)+v(42
     &)*v(584)+v(45)*v(597)+v(48)*v(611)+v(51)*v(633)
      v(636)=v(31)*v(530)+v(34)*v(543)+v(37)*v(557)+v(40)*v(570)+v(43
     &)*v(584)+v(46)*v(597)+v(49)*v(611)+v(52)*v(633)
      v(912)=-((v(183)*v(318)+v(149)*(v(153)*v(312)-v(156)*v(315)-v
     &(154)*v(348)+v(157)*v(351))-v(179)*v(357)-v(150)*(v(152)*v(312)
     &-v(155)*v(315)-v(154)*v(360)+v(157)*v(363))+v(151)*v(366)+v(175
     &)*v(372))*v(377))
      v(468)=(-(v(149)*v(348))+v(155)*v(357)+v(150)*v(360)-v(156)*v
     &(372))/v(158)+v(465)*v(912)
      v(931)=v(139)*v(468)
      v(930)=v(138)*v(468)
      v(474)=v(905)+v(930)
      v(471)=-v(905)+v(931)
      v(458)=v(366)/v(158)+v(183)*v(912)
      v(929)=v(139)*v(458)
      v(928)=v(138)*v(458)
      v(464)=v(899)+v(928)
      v(461)=-v(899)+v(929)
      v(449)=(-(v(149)*v(315))+v(152)*v(318)+v(151)*v(363)-v(154)*v
     &(372))/v(158)+v(446)*v(912)
      v(455)=v(137)*v(449)+v(913)
      v(452)=v(140)*v(449)-v(913)
      v(445)=v(914)+v(915)
      v(499)=-v(445)+v(471)
      v(490)=v(445)+v(474)
      v(442)=-v(915)+v(916)
      v(517)=-v(442)-v(471)
      v(508)=v(442)-v(474)
      v(435)=v(917)+v(918)
      v(496)=-v(435)+v(461)
      v(487)=v(435)+v(464)
      v(432)=-v(918)+v(919)
      v(514)=-v(432)-v(461)
      v(505)=v(432)-v(464)
      v(414)=(-(v(150)*v(315))+v(153)*v(318)+v(151)*v(351)-v(154)*v
     &(357))/v(158)-v(411)*v(912)
      v(426)=v(537)+v(414)*v(93)
      v(423)=v(564)-v(414)*v(98)
      v(420)=v(103)*v(414)+v(591)
      v(417)=-(v(108)*v(414))+v(618)
      v(410)=v(177)*v(210)+v(920)
      v(544)=-v(410)-v(531)+v(517)*v(95)
      v(532)=v(410)+v(531)+v(517)*v(99)
      v(407)=-(v(177)*v(201))+v(921)
      v(571)=-v(407)-v(558)+v(508)*v(99)
      v(559)=v(407)+v(558)+v(508)*v(95)
      v(404)=v(177)*v(195)+v(922)
      v(598)=-v(404)-v(585)+v(499)*v(95)
      v(586)=v(404)+v(585)+v(499)*v(99)
      v(401)=-(v(177)*v(189))+v(923)
      v(634)=-v(401)-v(612)+v(490)*v(99)
      v(613)=v(401)+v(612)+v(490)*v(95)
      v(640)=v(30)*v(532)+v(33)*v(544)+v(36)*v(559)+v(39)*v(571)+v(42
     &)*v(586)+v(45)*v(598)+v(48)*v(613)+v(51)*v(634)
      v(637)=v(31)*v(532)+v(34)*v(544)+v(37)*v(559)+v(40)*v(571)+v(43
     &)*v(586)+v(46)*v(598)+v(49)*v(613)+v(52)*v(634)
      v(394)=v(176)*v(210)+v(924)
      v(541)=-v(394)-v(525)+v(514)*v(95)
      v(526)=v(394)+v(525)+v(514)*v(99)
      v(391)=-(v(176)*v(201))+v(925)
      v(568)=-v(391)-v(552)+v(505)*v(99)
      v(553)=v(391)+v(552)+v(505)*v(95)
      v(388)=v(176)*v(195)+v(926)
      v(595)=-v(388)-v(579)+v(496)*v(95)
      v(580)=v(388)+v(579)+v(496)*v(99)
      v(385)=-(v(176)*v(189))+v(927)
      v(622)=-v(385)-v(606)+v(487)*v(99)
      v(607)=v(385)+v(606)+v(487)*v(95)
      v(628)=v(30)*v(526)+v(33)*v(541)+v(36)*v(553)+v(39)*v(568)+v(42
     &)*v(580)+v(45)*v(595)+v(48)*v(607)+v(51)*v(622)
      v(625)=v(31)*v(526)+v(34)*v(541)+v(37)*v(553)+v(40)*v(568)+v(43
     &)*v(580)+v(46)*v(595)+v(49)*v(607)+v(52)*v(622)
      v(939)=v(29)*v(526)+v(32)*v(541)+v(35)*v(553)+v(38)*v(568)+v(41
     &)*v(580)+v(44)*v(595)+v(47)*v(607)+v(50)*v(622)
      v(936)=-(v(263)*v(628))
      v(935)=v(260)*v(625)
      v(659)=v(257)*(v(261)*v(623)-v(259)*v(625)-v(264)*v(626)+v(262
     &)*v(628))+v(258)*(-(v(260)*v(623))+v(263)*v(626)+v(259)*v(635)
     &-v(262)*v(638))+(v(29)*v(522)+v(32)*v(539)+v(35)*v(549)+v(38)*v
     &(566)+v(41)*v(576)+v(44)*v(593)+v(47)*v(603)+v(50)*v(620))*v
     &(656)-v(657)*v(934)+v(256)*(v(932)+v(933)+v(935)+v(936))+v(658
     &)*v(939)
      v(940)=v(29)*v(532)+v(32)*v(544)+v(35)*v(559)+v(38)*v(571)+v(41
     &)*v(586)+v(44)*v(598)+v(47)*v(613)+v(50)*v(634)
      v(938)=v(262)*v(640)
      v(937)=-(v(259)*v(637))
      v(660)=v(258)*(-(v(260)*v(635))+v(259)*v(636)+v(263)*v(638)-v
     &(262)*v(639))+v(256)*(-(v(261)*v(636))+v(260)*v(637)+v(264)*v
     &(639)-v(263)*v(640))-(v(29)*v(530)+v(32)*v(543)+v(35)*v(557)+v
     &(38)*v(570)+v(41)*v(584)+v(44)*v(597)+v(47)*v(611)+v(50)*v(633)
     &)*v(657)+v(656)*v(934)+v(257)*(-v(932)-v(933)+v(937)+v(938))+v
     &(658)*v(940)
      v(478)=(v(149)*v(351)-v(152)*v(357)-v(150)*v(363)+v(153)*v(372)
     &)/v(158)+v(475)*v(912)
      v(484)=v(138)*v(478)+v(913)
      v(511)=v(452)-v(484)
      v(574)=-v(423)-v(564)+v(511)*v(99)
      v(565)=v(423)+v(564)+v(511)*v(95)
      v(493)=v(455)+v(484)
      v(646)=-v(417)-v(618)+v(493)*v(99)
      v(619)=v(417)+v(618)+v(493)*v(95)
      v(481)=v(139)*v(478)-v(913)
      v(520)=-v(452)-v(481)
      v(547)=-v(426)-v(537)+v(520)*v(95)
      v(538)=v(426)+v(537)+v(520)*v(99)
      v(502)=-v(455)+v(481)
      v(601)=-v(420)-v(591)+v(502)*v(95)
      v(592)=v(420)+v(591)+v(502)*v(99)
      v(652)=v(30)*v(538)+v(33)*v(547)+v(36)*v(565)+v(39)*v(574)+v(42
     &)*v(592)+v(45)*v(601)+v(48)*v(619)+v(51)*v(646)
      v(649)=v(31)*v(538)+v(34)*v(547)+v(37)*v(565)+v(40)*v(574)+v(43
     &)*v(592)+v(46)*v(601)+v(49)*v(619)+v(52)*v(646)
      v(661)=v(257)*(v(261)*v(625)-v(264)*v(628)-v(259)*v(649)+v(262
     &)*v(652))+v(256)*(-(v(261)*v(637))+v(264)*v(640)+v(260)*v(649)
     &-v(263)*v(652))+(v(29)*v(538)+v(32)*v(547)+v(35)*v(565)+v(38)*v
     &(574)+v(41)*v(592)+v(44)*v(601)+v(47)*v(619)+v(50)*v(646))*v
     &(658)+v(258)*(-v(935)-v(936)-v(937)-v(938))+v(656)*v(939)-v(657
     &)*v(940)
      v(663)=v(100)*v(59)+v(102)*v(60)+v(104)*v(61)+v(107)*v(62)+v
     &(109)*v(63)+v(56)*v(92)+v(57)*v(94)+v(58)*v(97)
      v(942)=-(v(663)/v(265))
      v(665)=v(100)*v(67)+v(102)*v(68)+v(104)*v(69)+v(107)*v(70)+v
     &(109)*v(71)+v(64)*v(92)+v(65)*v(94)+v(66)*v(97)
      v(943)=-(v(665)/v(265))
      v(681)=v(663)-v(665)
      v(693)=(epsilonT*kS*v(4)*(rhoSprevvec(4)*v(100)+rhoSprevvec(5
     &)*v(102)+rhoSprevvec(6)*v(104)+rhoSprevvec(7)*v(107)
     &+rhoSprevvec(8)*v(109)+rhoSprevvec(1)*v(92)+rhoSprevvec(2)*v(94
     &)+rhoSprevvec(3)*v(97)))/v(265)
      v(945)=v(665)*v(693)
      v(944)=v(663)*v(693)
      v(852)=v(693)*v(851)
      v(848)=v(693)*v(847)
      v(845)=v(693)*v(844)
      v(836)=v(693)*v(835)
      v(831)=v(693)*v(830)
      v(826)=v(693)*v(825)
      v(820)=v(693)*v(819)
      v(815)=v(693)*v(814)
      v(799)=v(693)*v(798)
      v(790)=v(693)*v(789)
      v(781)=v(693)*v(780)
      v(774)=v(693)*v(773)
      v(667)=v(211)*v(668)+v(212)*v(669)+v(213)*v(670)
      v(671)=v(215)*v(668)+v(217)*v(669)+v(219)*v(670)
      v(672)=v(220)*v(668)+v(221)*v(669)+v(222)*v(670)
      v(673)=v(224)*v(668)+v(226)*v(669)+v(228)*v(670)
      v(674)=v(229)*v(668)+v(230)*v(669)+v(231)*v(670)
      v(675)=v(233)*v(668)+v(235)*v(669)+v(237)*v(670)
      v(676)=v(238)*v(668)+v(239)*v(669)+v(240)*v(670)
      v(677)=v(242)*v(668)+v(244)*v(669)+v(246)*v(670)
      v(678)=v(659)*v(668)+v(660)*v(669)+v(661)*v(670)
      v(679)=v(693)*v(92)
      v(803)=v(102)*v(679)
      v(795)=v(109)*v(679)
      v(786)=v(100)*v(679)
      v(770)=v(107)*v(679)
      v(765)=v(104)*v(679)
      v(762)=v(679)*v(97)
      v(756)=v(679)*v(94)
      v(682)=v(215)*v(683)+v(217)*v(684)+v(219)*v(685)
      v(686)=v(220)*v(683)+v(221)*v(684)+v(222)*v(685)
      v(687)=v(224)*v(683)+v(226)*v(684)+v(228)*v(685)
      v(688)=v(229)*v(683)+v(230)*v(684)+v(231)*v(685)
      v(689)=v(233)*v(683)+v(235)*v(684)+v(237)*v(685)
      v(690)=v(238)*v(683)+v(239)*v(684)+v(240)*v(685)
      v(691)=v(242)*v(683)+v(244)*v(684)+v(246)*v(685)
      v(692)=v(659)*v(683)+v(660)*v(684)+v(661)*v(685)
      v(696)=v(220)*v(697)+v(221)*v(698)+v(222)*v(699)
      v(700)=v(224)*v(697)+v(226)*v(698)+v(228)*v(699)
      v(701)=v(229)*v(697)+v(230)*v(698)+v(231)*v(699)
      v(702)=v(233)*v(697)+v(235)*v(698)+v(237)*v(699)
      v(703)=v(238)*v(697)+v(239)*v(698)+v(240)*v(699)
      v(704)=v(242)*v(697)+v(244)*v(698)+v(246)*v(699)
      v(705)=v(659)*v(697)+v(660)*v(698)+v(661)*v(699)
      v(707)=v(224)*v(708)+v(226)*v(709)+v(228)*v(710)
      v(711)=v(229)*v(708)+v(230)*v(709)+v(231)*v(710)
      v(712)=v(233)*v(708)+v(235)*v(709)+v(237)*v(710)
      v(713)=v(238)*v(708)+v(239)*v(709)+v(240)*v(710)
      v(714)=v(242)*v(708)+v(244)*v(709)+v(246)*v(710)
      v(715)=v(659)*v(708)+v(660)*v(709)+v(661)*v(710)
      v(717)=v(229)*v(718)+v(230)*v(719)+v(231)*v(720)
      v(721)=v(233)*v(718)+v(235)*v(719)+v(237)*v(720)
      v(722)=v(238)*v(718)+v(239)*v(719)+v(240)*v(720)
      v(723)=v(242)*v(718)+v(244)*v(719)+v(246)*v(720)
      v(724)=v(659)*v(718)+v(660)*v(719)+v(661)*v(720)
      v(726)=v(233)*v(727)+v(235)*v(728)+v(237)*v(729)
      v(730)=v(238)*v(727)+v(239)*v(728)+v(240)*v(729)
      v(731)=v(242)*v(727)+v(244)*v(728)+v(246)*v(729)
      v(732)=v(659)*v(727)+v(660)*v(728)+v(661)*v(729)
      v(734)=v(238)*v(735)+v(239)*v(736)+v(240)*v(737)
      v(738)=v(242)*v(735)+v(244)*v(736)+v(246)*v(737)
      v(739)=v(659)*v(735)+v(660)*v(736)+v(661)*v(737)
      v(741)=v(242)*v(742)+v(244)*v(743)+v(246)*v(744)
      v(745)=v(659)*v(742)+v(660)*v(743)+v(661)*v(744)
      resT(1)=v(158)*(v(681)*v(92)+v(2)*(v(663)*v(679)+v(941)*(v(56
     &)*v(667)+v(57)*v(671)+v(58)*v(672)+v(59)*v(673)+v(60)*v(674)+v
     &(61)*v(675)+v(62)*v(676)+v(63)*v(677)+v(678)*v(942)))+v(694)*(v
     &(665)*v(679)+v(941)*(v(64)*v(667)+v(65)*v(671)+v(66)*v(672)+v
     &(67)*v(673)+v(674)*v(68)+v(675)*v(69)+v(676)*v(70)+v(677)*v(71)
     &+v(678)*v(943))))
      resT(2)=v(158)*(v(681)*v(94)+v(2)*(v(941)*(v(56)*v(671)+v(57)*v
     &(682)+v(58)*v(686)+v(59)*v(687)+v(60)*v(688)+v(61)*v(689)+v(62
     &)*v(690)+v(63)*v(691)+v(692)*v(942))+v(94)*v(944))+v(694)*(v
     &(941)*(v(64)*v(671)+v(65)*v(682)+v(66)*v(686)+v(67)*v(687)+v(68
     &)*v(688)+v(689)*v(69)+v(690)*v(70)+v(691)*v(71)+v(692)*v(943))
     &+v(94)*v(945)))
      resT(3)=v(158)*(v(681)*v(97)+v(2)*(v(941)*(v(56)*v(672)+v(57)*v
     &(686)+v(58)*v(696)+v(59)*v(700)+v(60)*v(701)+v(61)*v(702)+v(62
     &)*v(703)+v(63)*v(704)+v(705)*v(942))+v(944)*v(97))+v(694)*(v
     &(941)*(v(64)*v(672)+v(65)*v(686)+v(66)*v(696)+v(67)*v(700)+v(68
     &)*v(701)+v(69)*v(702)+v(70)*v(703)+v(704)*v(71)+v(705)*v(943))
     &+v(945)*v(97)))
      resT(4)=v(158)*(v(100)*v(681)+v(2)*(v(941)*(v(56)*v(673)+v(57
     &)*v(687)+v(58)*v(700)+v(59)*v(707)+v(60)*v(711)+v(61)*v(712)+v
     &(62)*v(713)+v(63)*v(714)+v(715)*v(942))+v(100)*v(944))+v(694)*
     &(v(941)*(v(64)*v(673)+v(65)*v(687)+v(66)*v(700)+v(67)*v(707)+v
     &(68)*v(711)+v(69)*v(712)+v(70)*v(713)+v(71)*v(714)+v(715)*v(943
     &))+v(100)*v(945)))
      resT(5)=v(158)*(v(102)*v(681)+v(2)*(v(941)*(v(56)*v(674)+v(57
     &)*v(688)+v(58)*v(701)+v(59)*v(711)+v(60)*v(717)+v(61)*v(721)+v
     &(62)*v(722)+v(63)*v(723)+v(724)*v(942))+v(102)*v(944))+v(694)*
     &(v(941)*(v(64)*v(674)+v(65)*v(688)+v(66)*v(701)+v(67)*v(711)+v
     &(68)*v(717)+v(69)*v(721)+v(70)*v(722)+v(71)*v(723)+v(724)*v(943
     &))+v(102)*v(945)))
      resT(6)=v(158)*(v(104)*v(681)+v(2)*(v(941)*(v(56)*v(675)+v(57
     &)*v(689)+v(58)*v(702)+v(59)*v(712)+v(60)*v(721)+v(61)*v(726)+v
     &(62)*v(730)+v(63)*v(731)+v(732)*v(942))+v(104)*v(944))+v(694)*
     &(v(941)*(v(64)*v(675)+v(65)*v(689)+v(66)*v(702)+v(67)*v(712)+v
     &(68)*v(721)+v(69)*v(726)+v(70)*v(730)+v(71)*v(731)+v(732)*v(943
     &))+v(104)*v(945)))
      resT(7)=v(158)*(v(107)*v(681)+v(2)*(v(941)*(v(56)*v(676)+v(57
     &)*v(690)+v(58)*v(703)+v(59)*v(713)+v(60)*v(722)+v(61)*v(730)+v
     &(62)*v(734)+v(63)*v(738)+v(739)*v(942))+v(107)*v(944))+v(694)*
     &(v(941)*(v(64)*v(676)+v(65)*v(690)+v(66)*v(703)+v(67)*v(713)+v
     &(68)*v(722)+v(69)*v(730)+v(70)*v(734)+v(71)*v(738)+v(739)*v(943
     &))+v(107)*v(945)))
      resT(8)=v(158)*(v(109)*v(681)+v(2)*(v(941)*(v(56)*v(677)+v(57
     &)*v(691)+v(58)*v(704)+v(59)*v(714)+v(60)*v(723)+v(61)*v(731)+v
     &(62)*v(738)+v(63)*v(741)+v(745)*v(942))+v(109)*v(944))+v(694)*
     &(v(941)*(v(64)*v(677)+v(65)*v(691)+v(66)*v(704)+v(67)*v(714)+v
     &(68)*v(723)+v(69)*v(731)+v(70)*v(738)+v(71)*v(741)+v(745)*v(943
     &))+v(109)*v(945)))
      tangTT(1,1)=v(158)*((v(92)*v(92))+v(2)*(v(679)*v(92)+v(941)*(v
     &(667)+v(678)*v(946))))
      tangTT(1,2)=v(158)*(v(755)+v(2)*(v(756)+v(941)*(v(671)+v(678)*v
     &(947))))
      tangTT(1,3)=v(158)*(v(761)+v(2)*(v(762)+v(941)*(v(672)+v(678)*v
     &(948))))
      tangTT(1,4)=v(158)*(v(785)+v(2)*(v(786)+v(941)*(v(673)+v(678)*v
     &(949))))
      tangTT(1,5)=v(158)*(v(802)+v(2)*(v(803)+v(941)*(v(674)+v(678)*v
     &(950))))
      tangTT(1,6)=v(158)*(v(764)+v(2)*(v(765)+v(941)*(v(675)+v(678)*v
     &(951))))
      tangTT(1,7)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(676)+v(678)*v
     &(952))))
      tangTT(1,8)=v(158)*(v(794)+v(2)*(v(795)+v(941)*(v(677)+v(678)*v
     &(953))))
      tangTT(2,1)=v(158)*(v(755)+v(2)*(v(756)+v(941)*(v(671)+v(692)*v
     &(946))))
      tangTT(2,2)=v(158)*(v(758)+v(2)*(v(693)*v(758)+v(941)*(v(682)+v
     &(692)*v(947))))
      tangTT(2,3)=v(158)*(v(773)+v(2)*(v(774)+v(941)*(v(686)+v(692)*v
     &(948))))
      tangTT(2,4)=v(158)*(v(761)+v(2)*(v(762)+v(941)*(v(687)+v(692)*v
     &(949))))
      tangTT(2,5)=v(158)*(v(764)+v(2)*(v(765)+v(941)*(v(688)+v(692)*v
     &(950))))
      tangTT(2,6)=v(158)*(v(814)+v(2)*(v(815)+v(941)*(v(689)+v(692)*v
     &(951))))
      tangTT(2,7)=v(158)*(v(780)+v(2)*(v(781)+v(941)*(v(690)+v(692)*v
     &(952))))
      tangTT(2,8)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(691)+v(692)*v
     &(953))))
      tangTT(3,1)=v(158)*(v(761)+v(2)*(v(762)+v(941)*(v(672)+v(705)*v
     &(946))))
      tangTT(3,2)=v(158)*(v(773)+v(2)*(v(774)+v(941)*(v(686)+v(705)*v
     &(947))))
      tangTT(3,3)=v(158)*(v(776)+v(2)*(v(693)*v(776)+v(941)*(v(696)+v
     &(705)*v(948))))
      tangTT(3,4)=v(158)*(v(789)+v(2)*(v(790)+v(941)*(v(700)+v(705)*v
     &(949))))
      tangTT(3,5)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(701)+v(705)*v
     &(950))))
      tangTT(3,6)=v(158)*(v(780)+v(2)*(v(781)+v(941)*(v(702)+v(705)*v
     &(951))))
      tangTT(3,7)=v(158)*(v(830)+v(2)*(v(831)+v(941)*(v(703)+v(705)*v
     &(952))))
      tangTT(3,8)=v(158)*(v(798)+v(2)*(v(799)+v(941)*(v(704)+v(705)*v
     &(953))))
      tangTT(4,1)=v(158)*(v(785)+v(2)*(v(786)+v(941)*(v(673)+v(715)*v
     &(946))))
      tangTT(4,2)=v(158)*(v(761)+v(2)*(v(762)+v(941)*(v(687)+v(715)*v
     &(947))))
      tangTT(4,3)=v(158)*(v(789)+v(2)*(v(790)+v(941)*(v(700)+v(715)*v
     &(948))))
      tangTT(4,4)=v(158)*(v(792)+v(2)*(v(693)*v(792)+v(941)*(v(707)+v
     &(715)*v(949))))
      tangTT(4,5)=v(158)*(v(794)+v(2)*(v(795)+v(941)*(v(711)+v(715)*v
     &(950))))
      tangTT(4,6)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(712)+v(715)*v
     &(951))))
      tangTT(4,7)=v(158)*(v(798)+v(2)*(v(799)+v(941)*(v(713)+v(715)*v
     &(952))))
      tangTT(4,8)=v(158)*(v(844)+v(2)*(v(845)+v(941)*(v(714)+v(715)*v
     &(953))))
      tangTT(5,1)=v(158)*(v(802)+v(2)*(v(803)+v(941)*(v(674)+v(724)*v
     &(946))))
      tangTT(5,2)=v(158)*(v(764)+v(2)*(v(765)+v(941)*(v(688)+v(724)*v
     &(947))))
      tangTT(5,3)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(701)+v(724)*v
     &(948))))
      tangTT(5,4)=v(158)*(v(794)+v(2)*(v(795)+v(941)*(v(711)+v(724)*v
     &(949))))
      tangTT(5,5)=v(158)*(v(808)+v(2)*(v(693)*v(808)+v(941)*(v(717)+v
     &(724)*v(950))))
      tangTT(5,6)=v(158)*(v(819)+v(2)*(v(820)+v(941)*(v(721)+v(724)*v
     &(951))))
      tangTT(5,7)=v(158)*(v(825)+v(2)*(v(826)+v(941)*(v(722)+v(724)*v
     &(952))))
      tangTT(5,8)=v(158)*(v(847)+v(2)*(v(848)+v(941)*(v(723)+v(724)*v
     &(953))))
      tangTT(6,1)=v(158)*(v(764)+v(2)*(v(765)+v(941)*(v(675)+v(732)*v
     &(946))))
      tangTT(6,2)=v(158)*(v(814)+v(2)*(v(815)+v(941)*(v(689)+v(732)*v
     &(947))))
      tangTT(6,3)=v(158)*(v(780)+v(2)*(v(781)+v(941)*(v(702)+v(732)*v
     &(948))))
      tangTT(6,4)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(712)+v(732)*v
     &(949))))
      tangTT(6,5)=v(158)*(v(819)+v(2)*(v(820)+v(941)*(v(721)+v(732)*v
     &(950))))
      tangTT(6,6)=v(158)*(v(822)+v(2)*(v(693)*v(822)+v(941)*(v(726)+v
     &(732)*v(951))))
      tangTT(6,7)=v(158)*(v(835)+v(2)*(v(836)+v(941)*(v(730)+v(732)*v
     &(952))))
      tangTT(6,8)=v(158)*(v(825)+v(2)*(v(826)+v(941)*(v(731)+v(732)*v
     &(953))))
      tangTT(7,1)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(676)+v(739)*v
     &(946))))
      tangTT(7,2)=v(158)*(v(780)+v(2)*(v(781)+v(941)*(v(690)+v(739)*v
     &(947))))
      tangTT(7,3)=v(158)*(v(830)+v(2)*(v(831)+v(941)*(v(703)+v(739)*v
     &(948))))
      tangTT(7,4)=v(158)*(v(798)+v(2)*(v(799)+v(941)*(v(713)+v(739)*v
     &(949))))
      tangTT(7,5)=v(158)*(v(825)+v(2)*(v(826)+v(941)*(v(722)+v(739)*v
     &(950))))
      tangTT(7,6)=v(158)*(v(835)+v(2)*(v(836)+v(941)*(v(730)+v(739)*v
     &(951))))
      tangTT(7,7)=v(158)*(v(838)+v(2)*(v(693)*v(838)+v(941)*(v(734)+v
     &(739)*v(952))))
      tangTT(7,8)=v(158)*(v(851)+v(2)*(v(852)+v(941)*(v(738)+v(739)*v
     &(953))))
      tangTT(8,1)=v(158)*(v(794)+v(2)*(v(795)+v(941)*(v(677)+v(745)*v
     &(946))))
      tangTT(8,2)=v(158)*(v(769)+v(2)*(v(770)+v(941)*(v(691)+v(745)*v
     &(947))))
      tangTT(8,3)=v(158)*(v(798)+v(2)*(v(799)+v(941)*(v(704)+v(745)*v
     &(948))))
      tangTT(8,4)=v(158)*(v(844)+v(2)*(v(845)+v(941)*(v(714)+v(745)*v
     &(949))))
      tangTT(8,5)=v(158)*(v(847)+v(2)*(v(848)+v(941)*(v(723)+v(745)*v
     &(950))))
      tangTT(8,6)=v(158)*(v(825)+v(2)*(v(826)+v(941)*(v(731)+v(745)*v
     &(951))))
      tangTT(8,7)=v(158)*(v(851)+v(2)*(v(852)+v(941)*(v(738)+v(745)*v
     &(952))))
      tangTT(8,8)=v(158)*(v(854)+v(2)*(v(693)*v(854)+v(941)*(v(741)+v
     &(745)*v(953))))
      END
